interpolator.hh File Reference
`#include <vector>`
`#include <mia/core/splinekernel.hh>`
`#include <mia/core/boundary_conditions.hh>`
`#include <mia/3d/image.hh>`
`#include <mia/core/parallel.hh>`
Include dependency graph for 3d/interpolator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C3DInterpolatorFactory
| A factory to create interpolators of a given type by providing input data. More...
class | T3DConvoluteInterpolator< T >
| Interpolator that is based on convolution,like b-splines an o-moms. More...
class | T3DInterpolator< T >
| Basic Interpolator type for 3D Data. More...

## Typedefs

typedef std::shared_ptr< C3DInterpolatorFactory > | P3DInterpolatorFactory
| Pointer type of the 3D interpolation factory.

## Typedef Documentation

## P3DInterpolatorFactory

typedef std::shared_ptr<C3DInterpolatorFactory> P3DInterpolatorFactory

Pointer type of the 3D interpolation factory.

Definition at line 250 of file 3d/interpolator.hh.